Web lists-archives.com

Re: [ANNOUNCEMENT] Updated: libreadline7-7.0.1-1, libreadline-devel-7.0.1-1, bash-4.4.5-1




On 01/12/2017 11:05 PM, Steven Penny wrote:
> On Tue, 3 Jan 2017 10:34:01, "Eric Blake (cygwin)" wrote:
>> The releases of readline 7.0.1-1 and bash 4.4.5-1, which have been
>> experimental for a few weeks, have now been promoted to current.
> 
> Note that new version of libreadline7 breaks interactive non ASCII input. Please
> see:
> 
> http://cygwin.com/ml/cygwin/2017-01/msg00066.html
> 
> downgrading to the following versions fixes the problem:
> 
> - libreadline7-6.3.8
> - bash-4.3.48

Is the problem in libreadline7 or in bash? The newer bash requires the
newer readline, but if the problem is in readline proper, then the newer
readline plus the older bash would reproduce it.

I don't think I introduced any accidental downstream regressions, so
this may be a true upstream regression in readline.  But I have not yet
had time to try and reproduce the problem.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature